Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui.statusbar
Class MemoryStatusWidgetFactory

    java.lang.Object
      org.gjt.sp.jedit.gui.statusbar.MemoryStatusWidgetFactory

All Implemented Interfaces:
  StatusWidgetFactory

    public class MemoryStatusWidgetFactory

extends java.lang.Object
implements StatusWidgetFactory

Since:
  jEdit 4.3pre14

Constructor Summary
`MemoryStatusWidgetFactory()`

Method Summary
`Widget` | `getWidget(View view)` returns an instance of Widget for the given view

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryStatusWidgetFactory

    public MemoryStatusWidgetFactory()

Method Detail

### getWidget

    public Widget getWidget(View view)

  Description copied from interface: `StatusWidgetFactory`
  returns an instance of Widget for the given view

  Specified by:
    `getWidget` in interface `StatusWidgetFactory`
  Parameters:
    `view` - the view to which the created widget will belong
  Returns:
    a widget instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD